%define upstream_name    MooX-StrictConstructor
%define upstream_version 0.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A role to make Moo constructors strict
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moo) >= 1.1.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Pod::Coverage::TrustPod)
BuildRequires: perl(Test::CPAN::Meta)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(bareword::filehandles)
BuildRequires: perl(constant)
BuildRequires: perl(indirect)
BuildRequires: perl(multidimensional)
BuildRequires: perl(strict)
BuildRequires: perl(strictures) >= 1.0.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Simply loading this module makes your constructors "strict". If your
constructor is called with an attribute init argument that your class does
not declare, then it dies. This is a great way to catch small typos.

STANDING ON THE SHOULDERS OF ...
    Most of this package was lifted from the MooX::InsideOut manpage and
    most of the Role that implements the strictness was lifted from the
    MooseX::StrictConstructor manpage.

SUBVERTING STRICTNESS
    the MooseX::StrictConstructor manpage documents two tricks for
    subverting strictness and avoid having problematic arguments cause an
    exception: handling them in BUILD or handle them in BUILDARGS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.8.0-4pclos2017
- rebuild against updates

